import request from '@/utils/request';
// 初始化list
export function getList(query) {
    return request({
        url: '/basedata/bdconfig/algconvert/list',
        method: 'get',
        params: query
    })
}
// 主系统
export function mainsystemList(query) {
    return request({
        url: '/basedata/bdconfig/mainsystem/list',
        method: 'get',
        params: { pageNum: 1, pageSize: 10000 }
    })
}
// 算法
export function subtypeList(query) {
    return request({
        url: '/basedata/subtype/list',
        method: 'get',
        params: { pageNum: 1, pageSize: 10000 }
    })
}
// 编辑查询
export function getItem(query) {
  return request({
    url: `/basedata/bdconfig/algconvert/${query}`,
    method: 'get',
  })
}
// 修改
export function edit(query) {
    return request({
        url: '/basedata/bdconfig/algconvert/edit',
        method: 'post',
        data: query
    })
}
// 删除
export function postRemove(query) {
  return request({
    url: `/basedata/bdconfig/algconvert/remove/${query}`,
    method: 'post',
    // params: query
  })
}
// 新增
export function postAdd(query) {
    return request({
        url: '/basedata/bdconfig/algconvert',
        method: 'post',
        data: query
    })
}